Subject: Response to Worldtalk Comparison (fwd)

From: Ed Greshko <[email-masked]>
Date: Mon, 28 Aug 1995 13:12:54 +0800 (GMT)

Hi,

	I was a pleasure meeting you in Melbourne.  Below is the text of the
document we discussed.  If you have any questions, just let me know.
Hope to see you at the next AOEMA metting.

					Ed

Edward M. Greshko                       Technical Manager, Electronic Commerce
                                        Control Data Asia/Pacific Region
Voice: +886-2-715-2222 x287             6/F, 131 Nanking East Road, Section 3
FAX  : +886-2-712-9197                  Taipei, Taiwan R.O.C

---------- Forwarded message ----------
Date: Wed, 16 Aug 1995 13:23:55 -0500
From: Grant M. Erickson <[email-masked]>
To: [email-masked]
Subject: Response to Worldtalk Comparison

     TO:  MHSales
   FROM:  Grant Erickson
   DATE:  August 16, 1995
SUBJECT:  Response to Worldtalk Comparison

SUMMARY:
--------

The Worldtalk fax contains a mixture of distortions and some inaccurate
statements. CDS will respond to both comments made about CDS and comments
made about Worldtalk where applicable. It is our business practice not to
degrade another vendor's solution, but point out the advantages of CDS's
solution. Independent reviews of CDS's Messaging Solution indicate CDS
leads the industry with high quality, standards-based technology and
implementations.

DISCUSSION:
-----------

On Monday, August 11, 1995 we received a fax from a potential Control Data
client comparing Mail*Hub and Worldtalk. This comparison was originally
generated by Worldtalk Corporation and given to the client during a
competitive bid process. What follows in the first subsection is a verbatim
copy of that comparison. In the second subsection, Control Data responds to
the comparison.

Worldtalk's Comparison
----------------------

                CONTROL DATA SYSTEMS AND WORLDTALK COMPARISON

Product vs. Services:
     CDS: Mostly services. CDS services are required for an extended length of
          time.
      WT: Mostly product.

X.400 Standard:
     CDS: ISODE, not very flexible
          o Limited routing capabilities
          o Slow
      WT: HP X.400
          o Commercial implementation
          o Native Stack (OSI and RFC1006 over TCP/IP)

X.500:
     CDS: QUIPU
          o Lack of 93 support
          o Non Commercial implementation
          o Weak on security
          o Non scalable (Database is loaded in memory)
      WT: ICL with Worldtalk Extensions
          o Commercial Implementation
          o Scalable (Multi Database support)
          o Strong on Security and Access Control
          o 1993 Support

Customization Requirements:
     CDS: Heavy, results in unavoidable dependence on CDS services
      WT: Light

ELECTRONIC MAIL GATEWAYS

Addressing:
     CDS: CDS's gateways do not provide full transparency to the end user.
          Addressing is not native. User will notice a difference in addressing
          when sending mail to recipients behind the Mail*Hub switch. The

          address reflects the address form necessary on the recipient's mail
          system.
      WT: Worldtalk's Address Manager and Directory Synchronization guarantee
          full address transparency to end users. Users only see aliases which
          conforms to both the addressing format of their native mail systems
          and the naming standard for their implementation. The presence of
          Worldtalk is hidden from end users.

Address Resolution:
     CDS: CDS gateways use X.500 directly to resolve LAN Addressing to X.400 or
          SMTP. LAN addressing is not Hierarchical and resolving these addresses
          requires a slow operation, a Yellow Page search with base object root
          in X.500.
      WT: Worldtalk uses a Cache Directory exported from X.500 and indexed on
          X.400 O/R Names and LAN Addresses. This guarantees fast response times
          for address resolution.

Attachments:
     CDS: Attachment [sic] are not always fully preserved.
      WT: Worldtalk preserves all attachments and preserves names and
          attributes.

FTAM Body Part:
     CDS: Does not support. Any File Attribute Preservation is proprietary and
          therefore is NOT interoperable with other X.400 implementations.
      WT: Fully supported. File Attribute Preservation is end-tend with other
          systems that support the FTAM Body Part. In addition, Worldtalk can
          downgrade Body Part 15 attachments to Body Part 14, enabling users
          connected to a 1984 based MTA to receive attachments even if they were
          originally encoded in Body Part 15

Throughput:
     CDS: End-to-end CDS is 40% slower.
      WT: Benchmarks at greater than 5,000 messages per hour.

Gateway Technology:
     CDS: Utilizes technology from a variety of sources
      WT: Tightly and uniformly integrated technology from one source.

DIRECTORY SYNCHRONIZATION

Productization:
     CDS: Directory Synchronization is not fully productized. Makes extensive
          use of shell scripts. Significant customization is REQUIRED after the
          installation of Directory Synchronization gateways.
      WT: Robust, fully productized with default configuration for ease of
          installation and implementation.

Management:
     CDS: Difficult as it requires manually editing shell scripts and
          configuration files.
      WT: Worldtalk Directory Synchronization is managed entirely from one
          central management utility.

Profile Mapping Rules:
     CDS: Directory Synchronization mapping rules are not flexible and require
          significant customization.
      WT: Worldtalk provides very flexible mapping rules that are fully
          productized.

Scheduling:
     CDS: Directory Synchronization relies on UNIX scheduling (Cron).
      WT: Directory Synchronization fully integrated into product.

Directory Filter
     CDS: Limited, provided via shell scripts.
      WT: Import and Export filtering, configurable individually for each
          Directory Synchronization Unit. Complete control of flow of
          information.

Reporting:
     CDS: Limited, provided via shell scripts.
      WT: Report creates report every time synchronization is run.

Full and incremental synchronization:
     CDS: Full synchronization only. Incremental synchronization is not
          supported from Mail*Hub to mail systems.
      WT: Worldtalk provides full synchronization, incremental synchronization,
          and resynchronization.

Transaction Log:
     CDS: None
      WT: Fully supported

Naming Conventions:
     CDS: Limited
      WT: Fully flexible due to strong Address Management

cc:Mail:
     CDS: All users behind Mail*Hub appear all in the same location. This means
          that the locality of the recipient is not preserved.
      WT: Worldtalk supports the registration of Downstream Post Offices as
          native cc:Mail Post Offices. All other mail system Post Offices appear
          as native cc:Mail post offices to all cc:Mail users.

Lotus Notes:
     CDS: CDS only supports a single Name and Address Book.
      WT: Worldtalk supports alternate Name and Address Books, including the
          creation of new Name and Address Books for users behind the Worldtalk
          Switch.

QuickMail:
     CDS: Does not support QuickMail Directory Synchronization.
      WT: QuickMail Directory Synchronization fully supported.

Microsoft Mail for PC Networks:
     CDS: Synchronizes with standard template only.
      WT: Synchronizes standard and customized templates.

X.500 OPEN DIRECTORY SERVICES

Underlying Database:
     CDS: The CDS X.500 database is currently loaded to Memory. There is no
          support for a commercial database or a relational database. This means
          that the product is not scalable and is not reliable. Processes can't
          share the database.
      WT: Worldtalk provides a relational database under X.500 and works with
          SQL based commercial databases as well.

1993 Shadowing:
     CDS: CDS does not support shadowing based on the 1993 DISP standard.
          Support is not scheduled till [sic] the second Quarter of 1996.
      WT: Worldtalk fully supports 1993 shadowing and replication based on the
          DISP standard. Interoperability has been conducted with the only other
          vendor that fully supports DISP (Nexor)

X.509: Security and Authentication:
     CDS: Does not support
      WT: Fully supported

DSA Scalability:
     CDS: Limited due to the fact that DSA is stored in memory, 50,000 practical
          limit.
      WT: The DSA has been used with around 200,000 entries, and shows no signs
          of limitation.

Performance:
     CDS: Slow
      WT: Worldtalk's DSA is orders of magnitude faster than CDS on the same
          platform for the same operations and size of the database.

Attribute search on same machine and database size:
     CDS: 4.8 seconds
      WT: 0.7 seconds

Schema:
     CDS: Altered to add aliases for address resolution. The aliases are
          relevant to local mail servers and have no importance at the
          global level.
      WT: Default provided, user customizable.

Administration:
     CDS: Edit files (Local management)
      WT: Windows Management Tool (Local and Remote Management)

Control Data's Response
-----------------------

GENERAL

Product vs. Services:
        Control Data is a solutions provider. We offer the software,
Mail*Hub; the hardware, Sun SPARC, HP 9000, IBM RS/6000, Sun on Intel, and
Windows NT (future), and finally we offer the services and support.
Worldtalk recently has attempted to portray themselves as integrators
rather than gateway sellers in public relations material.

X.400 Standard:
        Mail*Hub's X.400 is not ISODE based. It is an in-house developed
technology that is fully 1992 revision compliant and offers performance in
the tens of thousands of messages per hour. Mail*Hub also supports OSI over
TCP/IP as dictated by RFC1006. In addition to compliance with these
standards, our X.400 is compliant with RFC1801 which defines how X.400
should utilize X.500 for routing services. To the best of our knowledge,
Worldtalk's X.400 backbone is only a 1988 revision and offers no RFC1801
compliance.

X.500:
        Although Mail*Hub's X.500 was originally derived from ISODE QUIPU,
it has been almost totally rewritten into a commercial product. The 1993
revision product is being developed entirely in-house. 1993 extensions are
currently implemented in Mail*Hub v3.0 to be released in 4Q95. The X.500
directory is memory based and very fast and scalable. The University of
Minnesota DSA has been at 150,000+ entries for over 3 years and the CGDS
DSA is running with 250,000 entries. CDS has over 2.5M total users with
that number growing every day. Worldtalk's X.500 product just began
shipping recently. CDS's X.500 product has been market-proven for over four
years.

Customization Requirements:
        The beauty of Control Data's solution is our ability to customize.
Mail*Hub is offered in a default configuration. From there, the client
dictates what level of customization needs to be performed. This
customization may be done by the client, by a third-party, or by Control
Data's systems-integrators.

E-MAIL GATEWAYS

Addressing:
        Control Data's addressing is completely transparent. Mail*Hub
utilizes X.400 preferred O/R names to map LAN-specific and non-unique
addresses to enterprise wide LAN-style addresses.  For example, to a MS
Mail user all recipients look like MS Mail-style addresses, and to a SMTP
user all recipients look like RFC821-style addresses.

Address Resolution:
        Although CDS's LAN addressing scheme is not hierarchical, by
storing LAN addresses as X.500 aliases and utilizing several levels of
information caching, search times in the sub-second range have been
attained.  Searches do not have to occur at the base object root in X.500.

Attachments:
        CDS fully supports binary attachments. The Document Conversion
Manager (DCM) converts between X.400 attachments and MIME, audio formats,
image formats, between character sets, downgrades X.400 from '92 to '88 to
'84, and it converts among MacOS and DOS/Windows file formats via KEYpak
translators. These translations are completely transparent to the user. In
addition the DCM allows users to specify preferred conversion formats,
therefore the recipient of the attachment is not bound to the format of the
sender.  In all cases, CDS high-speed gateways do preserve attachments
between email systems.

FTAM Body Part:
        X.400 FTAM Body Parts will be fully supported with Mail*Hub v3.0 in
4Q95. Compatibility with '88 and '84 X.400 sites will be maintained by
automatic downgrades via integration with the DCM

Throughput:
        Worldtalk's comment that CDS is "40% slower" is given without any
benchmark specifications. Mail*Hub production installations have exhibited
throughput of 20,000 messages per hour or greater.  Benchmark environments
have shown several times that performance.

Gateway Technology:
        All Control Data gateways are designed in-house with the exception
of our QuickMail gateway (Mail*Link from StarNine) and the SNADS engine
from Linkage.  The QuickMail gateway is being replaced with a CDS Gateway
in 4Q95.  Worldtalk offers no in-house support for IBM PROFS or SNADS or
DEC's ALL-IN-1. These gateway's are only available from third-party
vendors.

DIRECTORY SYNCHRONIZATION

Productization:
        The Mail*Hub suite is a professional, commercial product available
in a default configuration. All aspects of Mail*Hub may be customized as
dictated by the customer. This allows ease of integration with the
customer's existing systems. This feature positively differentiates
Mail*Hub from other products in its class.  The use of PERL scripts allows
customers to easily implement their own customizations if they so choose.

Management:
        CDS offers a very robust set of management features. First, the
Advanced Operations Manager (AOM) provides a central, GUI-based interface
for the administration of the entire Mail*Hub suite. Directory
synchronization procedures can be performed within AOM. Second, a majority
of all configuration information is stored within the X.500 directory. Also
of mention is Mail*Hub's interoperability with SNMP, HP OpenView, SunNet
Manager and MADMAN-MIB. Again, scripts and configuration files are an
integral part of the customization process.  Intelligent defaults often
make customization of these files unnecessary.

Profile Mapping Rules:
        The highly customizable nature of CDS's directory synchronization
greatly enhances flexibility. Nearly any field in a third-party mailer can
be mapped to Mail*Hub.

Reporting:
        Mail*Hub unquestionably supports reporting of directory
synchronization events and errors.

Full and incremental synchronization:
        Both full and incremental synchronization are supported between
Mail*Hub and its supported mail systems. Worldtalk's use of the term
"resynchronization" is arbitrary and is meaningless without a context.

Transaction Log:
        Mail*Hub unquestionably supports transaction logs.  We are running
a number of managed services for large customers that produce very large
transaction logs.

Naming Conventions:
        Mail*Hub supports whatever naming conventions the customer deems
necessary. Because LAN names and other mail aliases are stored in the X.500
directory, it is a simple matter to add or change an address name.

cc:Mail:
        Worldtalk supports a more hierarchical LAN addressing scheme,
however Mail*Hub's implementation has proven to be very efficient and
equally capable.  Mail*Hub has been used successfully in very large cc:Mail
environments such as Unilever's 30,000+ users.

Lotus Notes:
        Mail*Hub can add and update users in a single pre-existing Name and
Address book. In addition, Mail*Hub can export to multiple Name and Address
books.  It is true that Mail*Hub does not currently support the creation of
new Name and Address Books.

QuickMail:
        Mail*Hub fully supports QuickMail directory synchronization.

Microsoft Mail for PC Networks:
        Mail*Hub fully supports standard and customized synchronization
templates.

X.500 OPEN DIRECTORY SERVICES

Underlying Database:
        Mail*Hub's memory-based directory structure is reliable, scalable,
and performance oriented. Production environments such as the University of
Minnesota (150,000+ entries for 3+ years), Unilever with 50,000 entries and
growing to 300,000 and a CGDS DSA with 250,000 entries prove that
Mail*Hub's directory is reliable and scales well. The directory is also
fully distributed, so multiple DSAs can share directory information.

1993 Shadowing:
        Mail*Hub supports Quipu-based shadowing in the current 1988
version. 1993 DISP support will be included in Mail*Hub v3.0 to be released
4Q95.

X.509 Security and Authentication:
        Mail*Hub supports Quipu-based access controls in the current 1988
revision and 1993 standards-based support will be included in Mail*Hub
v3.0. Mail*Hub currently supports and will continue to support X.509
certifications and authentication.

DSA Scalability:
        A Mail*Hub production environment is currently running 200,000+
entries.

Performance and Attribute search on same machine and database size:
        Worldtalk characterizes the Mail*Hub DSA as "slow" and claims their
DSA is "orders of magnitude faster than CDS". However, their numbers
support a difference of only 6.6x. In actuality, the Mail*Hub DSA supports
15-25 search operations per second, making Worldtalk 10.5x to 17.5x slower
than Mail*Hub with respect to their stated time.

Schema:
        Schema addition is a supported feature of X.500. By adding and
storing address and routing information in the directory structure, Control
Data is utilizing the directory to its fullest extent.

Administration:
        Nearly 100% of all configuration information is maintained within
the X.500 directory structure. The distributed nature of the directory
allows for both centralized and/or distributed configuration and
management. Management is available through a powerful, GUI-based Advanced
Operations Manager. Directory tools such as osilookup, aXess500, and
xlookup are all GUI-based. In addition, interoperability exists with SNMP
and the HP OpenView management system.

CONCLUSION:
-----------

None of the accusations that have been made by Worldtalk are grounded in
hard facts. Their comments on our support for Lotus' cc:Mail and Notes are
the only items with even a thread of truth. Many of the accusations that
have been made here appear to be due to competitive pressures Worldtalk has
been experiencing with the CDS Messaging Solution. Again, our business
practice is to point out CDS advantages and let independent analysts
compare, in a non-competitive fashion, technology and delivery solutions
between companies.

 -----
 Control Data Systems, Inc.                Grant M. Erickson
 Electronic Commerce, ARH293               [email-masked]
 Mail*Hub Marketing                        (612)-482-4866